Author vstinner
Recipients miss-islington, steve.dower, vstinner
Date 2020-03-31.12:30:26
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1585657827.17.0.352646003589.issue40121@roundup.psfhosted.org>
In-reply-to
Content
s390x Fedora 3.x buildbot is unhappy:
https://buildbot.python.org/all/#/builders/336/builds/328

======================================================================
FAIL: test_socket (test.test_audit.AuditTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-fedora-z/build/Lib/test/test_audit.py", line 125, in test_socket
    self.fail(stderr)
AssertionError

Stderr:
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-fedora-z/build/Lib/test/audit-tests.py", line 345, in test_socket
    sock.bind(('127.0.0.1', 8080))
OSError: [Errno 98] Address already in use

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-fedora-z/build/Lib/test/audit-tests.py", line 358, in <module>
    globals()[test]()
  File "/home/dje/cpython-buildarea/3.x.edelsohn-fedora-z/build/Lib/test/audit-tests.py", line 346, in test_socket
    except error:
NameError: name 'error' is not defined

----------------------------------------------------------------------
History
Date User Action Args
2020-03-31 12:30:27vstinnersetrecipients: + vstinner, steve.dower, miss-islington
2020-03-31 12:30:27vstinnersetmessageid: <1585657827.17.0.352646003589.issue40121@roundup.psfhosted.org>
2020-03-31 12:30:27vstinnerlinkissue40121 messages
2020-03-31 12:30:26vstinnercreate